## japa 0.2.1

=== Makefile ===
#  Copyright (C) 2004 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.2.1
DISTDIR = japa-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
#CPPFLAGS += -march=pentium4

LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
LDLIBS += -lclalsadrv -lclthreads -lclxclient -lpthread -lfftw3f -ljack -lasound -lpthread -lXft -lX11 -lrt


JAPA_O = analyser.o audio.o gobjects.o japa.o mainwin.o styles.o rngen.o
japa:	$(JAPA_O)
	g++ $(LDFLAGS) -o $@ $(JAPA_O) $(LDLIBS)


install:	japa
	/usr/bin/install -m 755 japa $(PREFIX)/bin

$(JAPA_O):	$(JAPA_H)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so japa


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export japa $(DISTDIR); \
	tar cvf $(DISTDIR).tar $(DISTDIR); \
	bzip2 $(DISTDIR).tar; \
	/bin/rm -f -r $(DISTDIR);

## japa 0.6.0

=== Makefile ===
#  --------------------------------------------------------------------------
#
#  Copyright (C) 2004-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.6.0
DISTDIR = japa-$(VERSION)
CPPFLAGS += -O2 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
CPPFLAGS += -march=native

LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
LDLIBS += -lclalsadrv -lclthreads -lclxclient -lpthread -lfftw3f -ljack -lasound -lpthread -lXft -lX11 -lrt


JAPA_O = analyser.o audio.o gobjects.o japa.o mainwin.o styles.o rngen.o
japa:	$(JAPA_O)
	g++ $(LDFLAGS) -o $@ $(JAPA_O) $(LDLIBS)

$(JAPA_O):
-include $(JAPA_O:%.o=%.d)


install:	japa
	install -Dm 755 japa $(DESTDIR)$(PREFIX)/bin/japa

clean:
	/bin/rm -f *~ *.o *.a *.d *.so japa

=== debian/changelog ===
japa (0.6.0-2) unstable; urgency=low

  * Icon added, update menu and desktop files.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 May 2011 19:20:07 +0200

japa (0.6.0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New maintainer, ACK'd by Helmut Grohne.
  * Imported Upstream version 0.6.0 (Closes: #576615).
  * Bump compat file up to 7.
  * debian/control: one_dep_per_line style applied.
  * Switch to source format 3.0 (quilt).
  * Switch to debhelper 7 short-form.
  * Remove dpatch support.
  * Vcs-* fields added.
  * Bump standards.
  * Moved Homepage field.
  * Add .gitignore file.
  * Add gbp.conf file.
  * Add local-options file:
    - Abort on upstream changes.
    - Deapply patches after gbp'ing.
  * Convert patches to the quilt format.
  * Refresh patches, add DEP-3 headers.
  * Remove dirs and docs files.
  * Updated copyright file to DEP-5 rev.166.
  * Removed fftw-dev from dependencies (Closes: #494317).

  [ Alessio Treglia ]
  * Add myself to the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Feb 2011 11:28:28 +0100

japa (0.2.1-3) unstable; urgency=low

  * Adapted build dependencies: fftw3-dev -> {lib, | }fftw3-dev.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 16 Oct 2007 22:38:16 +0200

japa (0.2.1-2) unstable; urgency=low

  * Cleanup debian/rules and debian/watch.
  * Make author singular in copyright file.
  * Added homepage to control.
  * Extended description.
  * Added alsa specific stuff to manpage.
  * Changed "Apps" to "Applications" in menu file.
  * Closes:435583 (ITP)

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 20 Sep 2007 22:41:52 +0200

japa (0.2.1-1) unstable; urgency=low

  * Initial release.

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 07 Jul 2007 20:11:24 +0200

=== debian/control ===
Source: japa
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 libasound2-dev,
 libjack-dev,
 libclalsadrv-dev,
 libclthreads-dev,
 libclxclient-dev,
 libfftw3-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/japa.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/japa.git
Homepage: http://www.kokkinizita.net/linuxaudio/

Package: japa
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: JACK and ALSA Perceptual Analyser
 Japa, is a 'perceptual' or 'psychoacoustic' audio spectrum analyser. Possible
 uses include spectrum monitoring while mixing or mastering, evaluation of
 ambient noise, and (using pink noise) equalisation of PA systems.
 .
 It supports up to four audio inputs of which two can graphically be compared.
 Additionally a pink noise and white noise generator is running after starting
 japa.

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html japa-(.*)\.tar\.bz2

## japa 0.8.4

=== source/Makefile ===
#  --------------------------------------------------------------------------
#
#  Copyright (C) 2004-2013 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.8.4
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
CXXFLAGS += -O2 -Wall -MMD -MP
CXXFLAGS += -march=native
LDFLAGS += -L/usr/X11R6/$(LIBDIR)
LDLIBS += -lzita-alsa-pcmi -lclthreads -lclxclient -lpthread -lfftw3f -ljack -lasound -lpthread -lXft -lX11 -lrt


JAPA_O = analyser.o audio.o gobjects.o japa.o mainwin.o styles.o rngen.o
japa:	$(JAPA_O)
	g++ $(LDFLAGS) -o $@ $(JAPA_O) $(LDLIBS)

$(JAPA_O):
-include $(JAPA_O:%.o=%.d)


install:	japa
	install -Dm 755 japa $(DESTDIR)$(PREFIX)/bin/japa

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/japa

clean:
	/bin/rm -f *~ *.o *.a *.d *.so japa

=== debian/changelog ===
japa (0.8.4-2) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Drop menu file.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 16:26:22 +0100

japa (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed URL in watch file.
  * Fixed URL and upstream email.
  * Fixed homepage URL.
  * Set dh/compat 9
  * Tighten build-dep on libclthreads.
  * Tighten build-dep on libclxclient.
  * Bump standards.
  * Fix VCS canonical URLs.
  * Set Priority optional.
  * Don't sign tags.
  * Update copyright file.
  * Added Keywords entry to desktop files.
  * Tune gitignore file to handle rather dir.
  * Update man pages.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 07 Aug 2013 02:19:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: japa
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
  libasound2-dev,
  libjack-dev,
- libclalsadrv-dev,
- libclthreads-dev,
- libclxclient-dev,
+ libzita-alsa-pcmi-dev (>= 0.2.0),
+ libclthreads-dev (>= 2.4.0),
+ libclxclient-dev (>= 3.9.0),
  libfftw3-dev
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/japa.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/japa.git
-Homepage: http://www.kokkinizita.net/linuxaudio/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/japa.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/japa.git
+Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
 
 Package: japa
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LDLIBS += -Wl,--as-needed

%:
	dh $@ --sourcedir=source

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/japa/usr/share/applications/
	install -d $(CURDIR)/debian/japa/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/*.desktop $(CURDIR)/debian/japa/usr/share/applications/
	install -m 644 $(CURDIR)/debian/*.xpm $(CURDIR)/debian/japa/usr/share/pixmaps/

override_dh_installchangelogs:
	dh_installchangelogs README

## japa 0.9.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2004-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 0.9.2
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\"
CPPFLAGS += $(shell pkgconf --cflags freetype2)
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native
LDLIBS += -lzita-alsa-pcmi -lclthreads -lclxclient -lasound -lpthread \
	-lfftw3f -ljack -lXft -lX11 -lrt


JAPA_O = analyser.o audio.o gobjects.o japa.o mainwin.o styles.o rngen.o
japa:	$(JAPA_O)
	$(CXX) $(LDFLAGS) -o $@ $(JAPA_O) $(LDLIBS)
$(JAPA_O):
-include $(JAPA_O:%.o=%.d)


install:	japa
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 japa $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/japa


clean:
	/bin/rm -f *~ *.o *.a *.d *.so japa

=== debian/changelog ===
japa (0.9.2-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use dh-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Olivier Humbert ]
  * d/*.desktop: Add French names and comments
  * d/copyright: Update year, http > https and add myself
  * d/watch: http > https

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add libfreetype6-dev and pkg-config to B-D
    + Set RRR: no
    + Add me as uploader
  * d/copyright: Update year & add myself
  * d/japa.manpages: Fix path for installation
  * d/patches: Refresh patch, add pkgconf fix
  * d/rules: Add prefix and pkgconf export
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Feb 2020 20:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: japa
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
+ Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  libasound2-dev,
  libjack-dev,
  libzita-alsa-pcmi-dev (>= 0.2.0),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
- libfftw3-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/japa.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/japa.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
+ libfftw3-dev,
+ libfreetype6-dev,
+ pkg-config
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/japa.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/japa
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
+Rules-Requires-Root: no
 
 Package: japa
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,13 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export LDLIBS += -Wl,--as-needed
 
-export LDLIBS += -Wl,--as-needed
+include /usr/share/dpkg/buildtools.mk
+
+export PREFIX=/usr
+export PKG_CONF=$(PKG_CONFIG)
+
 
 %:
 	dh $@ --sourcedir=source

=== debian/watch ===
version=3

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	japa-(.*)\.tar\.bz2

## japa 0.9.4

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2004-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2004-2021 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -21,9 +21,9 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 
-VERSION = 0.9.2
+VERSION = 0.9.4
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\"
-CPPFLAGS += $(shell pkgconf --cflags freetype2)
+CPPFLAGS += $(shell pkg-config --cflags freetype2)
 CXXFLAGS += -O2 -Wall
 CXXFLAGS += -march=native
 LDLIBS += -lzita-alsa-pcmi -lclthreads -lclxclient -lasound -lpthread \

=== debian/changelog ===
japa (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Refresh patch
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.0
  * Bump libzita-alsa-pcmi-dev B-D to 0.4.0
  * Change the Architecture of the binary package to linux-any
  * Update d/copyright years
  * Add d/install and clean and minimize d/rules
  * d/japa.manpages: Fix path to manual
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 06 Feb 2022 21:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Alessio Treglia <alessio@debian.org>,
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  libasound2-dev,
  libjack-dev,
- libzita-alsa-pcmi-dev (>= 0.2.0),
+ libzita-alsa-pcmi-dev (>= 0.4.0),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libfftw3-dev,
  libfreetype6-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/japa.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/japa
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
 Rules-Requires-Root: no
 
 Package: japa
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: JACK and ALSA Perceptual Analyser

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildtools.mk

export PREFIX=/usr
export PKG_CONF=$(PKG_CONFIG)

%:
	dh $@ --sourcedirectory=source

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	japa-(.*)\.tar\.bz2
